aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.DeleteObjectVersion

# Documentation

data DeleteObjectVersion Source #

Constructors

DeleteObjectVersion |

Fields

- dovObjectName :: Text
- dovBucket :: Bucket
- dovVersionId :: Text

#### Instances

Instances details

SignQuery DeleteObjectVersion Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.DeleteObjectVersion

Associated Types

type ServiceConfiguration DeleteObjectVersion |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ServiceConfiguration DeleteObjectVersion = S3Configuration

Methods

signQuery :: DeleteObjectVersion -> ServiceConfiguration DeleteObjectVersion queryType -> SignatureData -> SignedQuery Source #

Show DeleteObjectVersion Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion Methods showsPrec :: Int -> DeleteObjectVersion -> ShowS Source # show :: DeleteObjectVersion -> String Source # showList :: [DeleteObjectVersion] -> ShowS Source #
ResponseConsumer DeleteObjectVersion DeleteObjectVersionResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteObjectVersion

Associated Types

type ResponseMetadata DeleteObjectVersionResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ResponseMetadata DeleteObjectVersionResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteObjectVersion -> IORef (ResponseMetadata DeleteObjectVersionResponse) -> HTTPResponseConsumer DeleteObjectVersionResponse Source #

Transaction DeleteObjectVersion DeleteObjectVersionResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion
type ServiceConfiguration DeleteObjectVersion Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ServiceConfiguration DeleteObjectVersion = S3Configuration

deleteObjectVersion :: Bucket -> Text -> Text -> DeleteObjectVersion Source #

data DeleteObjectVersionResponse Source #

Constructors

DeleteObjectVersionResponse |

#### Instances

Instances details

AsMemoryResponse DeleteObjectVersionResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteObjectVersion

Associated Types

type MemoryResponse DeleteObjectVersionResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type MemoryResponse DeleteObjectVersionResponse = DeleteObjectVersionResponse

Methods

loadToMemory :: DeleteObjectVersionResponse -> ResourceT IO (MemoryResponse DeleteObjectVersionResponse) Source #

Show DeleteObjectVersionResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion Methods showsPrec :: Int -> DeleteObjectVersionResponse -> ShowS Source # show :: DeleteObjectVersionResponse -> String Source # showList :: [DeleteObjectVersionResponse] -> ShowS Source #
ResponseConsumer DeleteObjectVersion DeleteObjectVersionResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteObjectVersion

Associated Types

type ResponseMetadata DeleteObjectVersionResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ResponseMetadata DeleteObjectVersionResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteObjectVersion -> IORef (ResponseMetadata DeleteObjectVersionResponse) -> HTTPResponseConsumer DeleteObjectVersionResponse Source #

Transaction DeleteObjectVersion DeleteObjectVersionResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion
type MemoryResponse DeleteObjectVersionResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type MemoryResponse DeleteObjectVersionResponse = DeleteObjectVersionResponse
type ResponseMetadata DeleteObjectVersionResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ResponseMetadata DeleteObjectVersionResponse = S3Metadata